Debian Bug report logs - #697272
ITP: ruby-spoon -- FFI binding of the posix_spawn function

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Hideki Yamane <henrich@debian.or.jp>

Date: Thu, 3 Jan 2013 12:45:02 UTC

Owned by: Hideki Yamane <henrich@debian.org>

Severity: wishlist

Fixed in version ruby-spoon/0.0.3-1

Done: Cédric Boutillier <boutil@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-ruby-extras-maintainers@lists.alioth.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>:
Bug#697272; Package wnpp. (Thu, 03 Jan 2013 12:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-ruby-extras-maintainers@lists.alioth.debian.org, wnpp@debian.org, Hideki Yamane <henrich@debian.org>. (Thu, 03 Jan 2013 12:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: submit@bugs.debian.org
Subject: ITP: ruby-spoon -- FFI binding of the posix_spawn function
Date: Thu, 3 Jan 2013 21:41:39 +0900
Package: wnpp
Severity: wishlist
Owner: Hideki Yamane <henrich@debian.org>
X-Debbugs-CC: debian-devel@lists.debian.org, pkg-ruby-extras-maintainers@lists.alioth.debian.org

   Package name: ruby-spoon
        Version: 0.0.2
Upstream Author: Charles Oliver Nutter
            URL: https://github.com/headius/spoon
        License: Apache-2.0

Description: FFI binding of the posix_spawn function
 Spoon is an FFI binding of the posix_spawn function, providing fork+exec
 functionality in a single shot.

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Message sent on to Hideki Yamane <henrich@debian.or.jp>:
Bug#697272. (Thu, 03 Jan 2013 14:09:03 GMT) Full text and rfc822 format available.

Message #8 received at 697272-submitter@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: 697272-submitter@bugs.debian.org
Subject: packaging started in Ruby Team repository
Date: Thu, 3 Jan 2013 15:06:46 +0100
Dear Hideki,

I started sometime ago the packaging of ruby-spoon when working on
mdpress, but it turned out it was not necessary. I have some more
changes on my machine I am pushing right now.

The repo is located here:
  http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-spoon.git

Feel free to use it as you like.

Cheers,

Cédric



Information stored :
Bug#697272; Package wnpp. (Thu, 03 Jan 2013 14:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and filed, but not forwarded. (Thu, 03 Jan 2013 14:21:09 GMT) Full text and rfc822 format available.

Message #13 received at 697272-quiet@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Cédric Boutillier <cedric.boutillier@gmail.com>, 697272-quiet@bugs.debian.org
Cc: 697272-submitter@bugs.debian.org
Subject: Re: Bug#697272: packaging started in Ruby Team repository
Date: Thu, 3 Jan 2013 23:19:37 +0900
Hi Cédric,

On Thu, 3 Jan 2013 15:06:46 +0100
Cédric Boutillier <cedric.boutillier@gmail.com> wrote:
> I started sometime ago the packaging of ruby-spoon when working on
> mdpress, but it turned out it was not necessary. I have some more
> changes on my machine I am pushing right now.
> 
> The repo is located here:
>   http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-spoon.git

 Thanks, now I notice it when try to create directory in git... :)
 And could you check and upload it after I would update it? I want someone
 to review it.

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Message sent on to Hideki Yamane <henrich@debian.or.jp>:
Bug#697272. (Thu, 03 Jan 2013 14:21:11 GMT) Full text and rfc822 format available.

Information stored :
Bug#697272; Package wnpp. (Fri, 04 Jan 2013 03:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and filed, but not forwarded. (Fri, 04 Jan 2013 03:03:03 GMT) Full text and rfc822 format available.

Message #21 received at 697272-quiet@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Cédric Boutillier <cedric.boutillier@gmail.com>, 697272-quiet@bugs.debian.org
Subject: Re: Bug#697272: packaging started in Ruby Team repository
Date: Fri, 4 Jan 2013 12:00:50 +0900
Hi,

 Please checkout ruby-spoon from git repo, I specified upstream version
 as 0.0.2~git20130104 since upstream gemfile info says it's 0.0.2 but
 not released and taged yet.


On Thu, 3 Jan 2013 15:06:46 +0100
Cédric Boutillier <cedric.boutillier@gmail.com> wrote:

> Dear Hideki,
> 
> I started sometime ago the packaging of ruby-spoon when working on
> mdpress, but it turned out it was not necessary. I have some more
> changes on my machine I am pushing right now.
> 
> The repo is located here:
>   http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-spoon.git
> 
> Feel free to use it as you like.
> 
> Cheers,
> 
> Cédric


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Message sent on to Hideki Yamane <henrich@debian.or.jp>:
Bug#697272. (Mon, 07 Jan 2013 17:21:10 GMT) Full text and rfc822 format available.

Message #24 received at 697272-submitter@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: 697272-submitter@bugs.debian.org
Subject: uploaded
Date: Mon, 7 Jan 2013 18:19:03 +0100
Control: tag -1 pending

Dear Yamane-san,

Thanks for your update. I uploaded the package to unstable (since there
were no version in Debian before). I added a couple of patches to make
the example ls.rb work.

Cheers,

Cédric



Added tag(s) pending. Request was from Cédric Boutillier <cedric.boutillier@gmail.com> to 697272-submitter@bugs.debian.org. (Mon, 07 Jan 2013 17:21:10 GMT) Full text and rfc822 format available.

Reply sent to Cédric Boutillier <boutil@debian.org>:
You have taken responsibility. (Mon, 08 Apr 2013 22:03:16 GMT) Full text and rfc822 format available.

Notification sent to Hideki Yamane <henrich@debian.or.jp>:
Bug acknowledged by developer. (Mon, 08 Apr 2013 22:03:16 GMT) Full text and rfc822 format available.

Message #31 received at 697272-close@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <boutil@debian.org>
To: 697272-close@bugs.debian.org
Subject: Bug#697272: fixed in ruby-spoon 0.0.3-1
Date: Mon, 08 Apr 2013 22:00:39 +0000
Source: ruby-spoon
Source-Version: 0.0.3-1

We believe that the bug you reported is fixed in the latest version of
ruby-spoon, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697272@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cédric Boutillier <boutil@debian.org> (supplier of updated ruby-spoon package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 29 Mar 2013 10:14:53 +0100
Source: ruby-spoon
Binary: ruby-spoon
Architecture: source all
Version: 0.0.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Cédric Boutillier <boutil@debian.org>
Description: 
 ruby-spoon - FFI binding of the posix_spawn function for Ruby
Closes: 697272
Changes: 
 ruby-spoon (0.0.3-1) unstable; urgency=low
 .
   [ Hideki Yamane ]
   * Team upload.
   * Initial release (Closes: #697272)
 .
   [ Cédric Boutillier ]
   * debian/ruby-spoon.lintian-overrides: override lintian message about
     missing upstream changelog.
   * debian/patches:
     + increase_size_spawnattributes.patch: increase the size of
       SpawnAttributes pointers to avoid segfault on 64bit architectures
     + pass_release_method.patch: circumvent the fact that AutoPointers from
       the FFI gem do not support classes.
Checksums-Sha1: 
 bb5ec37cac6ac329f71cdc9762fc55560815a7fb 2052 ruby-spoon_0.0.3-1.dsc
 05d5d9a8938411fe01218264453144fc4c76fa03 6321 ruby-spoon_0.0.3.orig.tar.gz
 201306462044e709ad754167f2cd7bf0976fb76a 2748 ruby-spoon_0.0.3-1.debian.tar.gz
 ab213a826df73db6b335c26be5f82d657e1b2b32 4964 ruby-spoon_0.0.3-1_all.deb
Checksums-Sha256: 
 ee4acab33c68d5d701065788a44544a95370f892fa5bca2ea8bbdcba8cd5bdd5 2052 ruby-spoon_0.0.3-1.dsc
 31cd4c22d996f7051ff4e1ea4a64628a7be4c65ae5a116e7257255f61ba95f62 6321 ruby-spoon_0.0.3.orig.tar.gz
 fa83f4f0305a43af0f713ade66f087b785244ab797216e990373f30b91995695 2748 ruby-spoon_0.0.3-1.debian.tar.gz
 b38e89ddad5cc1a994a3230d44854a5ef3744e0ee78b7c508c86e674e6e8ce41 4964 ruby-spoon_0.0.3-1_all.deb
Files: 
 d2d692bbfb6c1b5f4547da0ab117bb73 2052 ruby optional ruby-spoon_0.0.3-1.dsc
 23a6cfd9076a5eed4c4c0520286b62c2 6321 ruby optional ruby-spoon_0.0.3.orig.tar.gz
 ae378e769b10ba504f20d4507115e54e 2748 ruby optional ruby-spoon_0.0.3-1.debian.tar.gz
 36c88076dd6b8363be5e86056ab819ac 4964 ruby optional ruby-spoon_0.0.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRVV4gAAoJENpJWPYR4UnpvPUQAKaVpjDcRI0mAZoZFxJQMRSj
gGlaphpvyPqax7dWTr46XljxF7do8MUKa5ADanzFBh++sFsj0AXu05Vi0YoIbs2D
T++yVNzazT0M0Rfd9LtCQYAL/GPvP0RjGMNUFTUPOV3EGKEo9AQlWMItHnhkEgGv
qrL1NOIdzWpC4Or0l7Dgu2dztxorXoL0Oe0XjcVzzLSe0HpgDmjjND5x8X2/TKtw
NSODXmO+Q6cNVKgSq/vPRsS5h2mzBJ0loOiAM02ur9mPeKufa6MfHq3YvU6H3FVV
lvVzLiPiqIZ0E/1TF0257M5enPgqa7j6nnxHL2cEM1U3H77M3qn++U4wUX6OQWxl
bF1L5ep9lUNNqS4VbvkEV45tZ3T6pT9Z79bIjtp8+O+247nFTS4eKNilCvfsxqfN
cjvdksTbvqOQjE/eZf7WVwXzbSQz/SbYUQhg/uxYGylU6Hc0fLuFG0QbzXK/b8CR
wp4TlKbf+6ONVzHuEWl83aEARVQ1PjOBFUXRsHivuxQBqcd5lv71ZBSxcQZMq6Vw
kdbnql/RQleZxZ0OUi8Zeh1RheIW3pn6+7w3ZfzmY5MDfHP5CpQidKAP01Jvuyti
qUYPk+RridZQFwXD1CAmNE2sGnH5lgQduIdb46zP7of8SLsx72oj6PFNe8USzwd7
vwpS9A28iKZDapUc4/Bv
=xCap
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 May 2013 07:30:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:36:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.